Subject: Re: [COSE] Review of draft-ietf-cose-hash-sig-00

From: Russ Housley <[email-masked]>
Date: Wed, 6 Mar 2019 09:58:49 -0500

Jim:

I have updated the I-D, and I just posted it.  I also updated the GitHub repository.  I think that all of your comments are resolved by the update.  Of course, the first comment actually has nothing to do with this I-D, so I have not done anything with that.

Russ

> On Feb 16, 2019, at 1:27 AM, Jim Schaad <[email-masked]> wrote:
> 
> Russ,
> 
> I don't remember when the last time I looked at this was, but since I have
> been reviewing the version over in lamps, look at all of those things and
> apply here.  I tried not to duplicating them below.  Please copy forward as
> is reasonable.
> 
> 1.  I am trying to create an example message for you, but I am having
> problems with getting a running implementation based on the ID in CFRG.  One
> of my biggest issues is that the test vectors are completely insufficient if
> there are problems, and apparently I have a problem.
> 
> 2.  The following statement seems a bit weird:  "The hash-based signature
> algorithm supports five values for this parameter: h=5; h=10; h=15; h=20;
> and h=25".  Would it not be better to say it along the lines of "Currently
> there are five values registered for this parameter:..."
> 
> 3.  You do not seem to have consistency between section 4 and the IANA
> considerations wrt 'HSS-LMS' vs 'HASHSIG-HSS-LMS'
> 
> 4.  I find it very interesting that in this document you do not have the
> extra hash step that is present in the lamps document.  Specifically this
> always uses the "direct" signature algorithm that I proposed over there.
> 
> Jim